=== Makefile ===
all:
	@echo "This is NOOP Makefile. Try make -f release.makefile"

%:
	@echo "This is NOOP Makefile. Try make -f release.makefile $@"
