=== debian/changelog ===
stremio (4.4.169+dfsg-1) unstable; urgency=low

  * Initial Debian packaging (Closes: #943703)

 -- Juan Manuel Méndez Rey <vejeta@gmail.com>  Thu, 02 Oct 2025 01:00:00 +0000
