=== debian/control ===
Source: stremio
Section: video
Priority: optional
Maintainer: Juan Manuel Méndez Rey <vejeta@gmail.com>
Build-Depends: debhelper-compat (= 13),
               cmake,
               pkgconf,
               qt5-qmake,
               qt5-qmake-bin,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtwebengine5-dev,
               qttools5-dev,
               libqt5opengl5-dev,
               librsvg2-bin,
               qml-module-qtwebchannel,
               qml-module-qt-labs-platform,
               qml-module-qtwebengine,
               qml-module-qtquick-dialogs,
               qml-module-qtquick-controls,
               qml-module-qt-labs-settings,
               qml-module-qt-labs-folderlistmodel,
               libmpv-dev,
               libssl-dev,
               nodejs,
               npm,
               pkg-kde-tools
Standards-Version: 4.7.2
Homepage: https://www.stremio.com
Vcs-Browser: https://salsa.debian.org/mendezr/stremio
Vcs-Git: https://salsa.debian.org/mendezr/stremio.git

Package: stremio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         nodejs,
         mpv,
         librsvg2-2,
         qml-module-qtwebengine,
         qml-module-qtwebchannel,
         qml-module-qt-labs-platform,
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qt-labs-settings,
         qml-module-qt-labs-folderlistmodel,
         qtbase5-dev-tools
Suggests: stremio-server
Description: Modern media center for online video content
 Stremio is a modern media center that's a one-stop solution for your video
 entertainment. You discover, watch and organize video content from easy to
 install add-ons.
 .
 Features include support for local and streaming content, subtitle
 management, and an extensible addon system for accessing various content
 sources.
 .
 This package contains the main GPL-licensed application without the
 proprietary streaming server component.
