=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_DEFAULT_MAJOR_VERSION = 5

%:
	dh $@

# Use release.makefile instead of CMake auto-detection
# CMake takes priority over qmake in debhelper, but icon generation
# requires the qmake-based release.makefile workflow
override_dh_auto_build:
	$(MAKE) -f release.makefile

override_dh_auto_install:
	# Skip auto install due to build directory mismatch:
	# - override_dh_auto_build uses release.makefile (builds in build/)
	# - dh_auto_install expects CMake build (installs from obj-x86_64-linux-gnu/)
	# - Without this override, build fails before dh_install can use stremio.install
	# - stremio.install handles all file installation
