=== debian/watch ===
version=5
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/stremio-shell-$1\.tar\.gz/,\
dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
  https://github.com/Stremio/stremio-shell/tags \
  .*/v?(\d\S+)\.tar\.gz
